﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Beverages
{
    public enum TeaType
    {
        Oolong,
        Iced
    }

    public class Tea : IBeverage
    {
        TeaType type;
        List<ISweetener> sweeteners;

        public Tea(TeaType type)
        {
            this.type = type;
            sweeteners = new List<ISweetener>();
        }

        public List<ISweetener> GetSweetenersList()
        {
            return sweeteners;
        }

        public void Sweeten(ISweetener sweetener)
        {
            sweeteners.Add(sweetener);
        }

        public float GetTemperature()
        {
            if (type == TeaType.Iced)
            {
                return 5;
            }
            return 98;
        }
    }
}
